Asana: Stories schemas
22 Asana schemas with complete fields and constraints.
← Stories operations · All schemas
Create a story on a task — request body — body data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (allOf 1) | Model | All variants apply | Expand Update a story — request body — body data |
$ (allOf 2) | object | All variants apply | |
$ (allOf 2).parent_comment | string | Optional | The GID of the top-level comment envelope to reply to, exposed as `comment_gid` on story reads. This is not the story `gid`. Retrieve it with `GET /stories/{story_gid}?opt_fields=comment_gid`. The parent must belong to the task in the request URL and must not itself be a reply. Works with either `text` or `html_text`. Omit this input to create a top-level comment. |
Referenced models: Update a story — request body — body data
Get a story — request body — query
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Additional keys: not allowed |
opt_pretty | boolean | Optional | |
opt_fields | array | Optional | |
opt_fields[] | string | Each item | One of: anchor_gid, assignee, assignee.name, comment_gid, created_at, created_by, created_by.name, custom_field, custom_field.date_value, custom_field.date_value.date, custom_field.date_value.date_time, custom_field.display_value, custom_field.enabled, custom_field.enum_options, custom_field.enum_options.color, custom_field.enum_options.enabled, custom_field.enum_options.name, custom_field.enum_value, custom_field.enum_value.color, custom_field.enum_value.enabled, custom_field.enum_value.name, custom_field.id_prefix, custom_field.input_restrictions, custom_field.is_formula_field, custom_field.is_lookup_field, custom_field.multi_enum_values, custom_field.multi_enum_values.color, custom_field.multi_enum_values.enabled, custom_field.multi_enum_values.name, custom_field.name, custom_field.number_value, custom_field.representation_type, custom_field.text_value, custom_field.type, dependency, dependency.created_by, dependency.name, dependency.resource_subtype, duplicate_of, duplicate_of.created_by, duplicate_of.name, duplicate_of.resource_subtype, duplicated_from, duplicated_from.created_by, duplicated_from.name, duplicated_from.resource_subtype, follower, follower.name, hearted, hearts, hearts.user, hearts.user.name, html_text, is_editable, is_edited, is_pinned, liked, likes, likes.user, likes.user.name, new_approval_status, new_date_value, new_dates, new_dates.due_at, new_dates.due_on, new_dates.start_on, new_enum_value, new_enum_value.color, new_enum_value.enabled, new_enum_value.name, new_multi_enum_values, new_multi_enum_values.color, new_multi_enum_values.enabled, new_multi_enum_values.name, new_name, new_number_value, new_people_value, new_people_value.name, new_resource_subtype, new_section, new_section.name, new_text_value, num_hearts, num_likes, old_approval_status, old_date_value, old_dates, old_dates.due_at, old_dates.due_on, old_dates.start_on, old_enum_value, old_enum_value.color, old_enum_value.enabled, old_enum_value.name, old_multi_enum_values, old_multi_enum_values.color, old_multi_enum_values.enabled, old_multi_enum_values.name, old_name, old_number_value, old_people_value, old_people_value.name, old_resource_subtype, old_section, old_section.name, old_text_value, previews, previews.fallback, previews.footer, previews.header, previews.header_link, previews.html_text, previews.text, previews.title, previews.title_link, project, project.name, project.resource_subtype, reaction_summary, reaction_summary.count, reaction_summary.emoji_base, reaction_summary.reacted, reaction_summary.variant, resource_subtype, source, sticker_name, story, story.anchor_gid, story.comment_gid, story.created_at, story.created_by, story.created_by.name, story.resource_subtype, story.text, tag, tag.name, target, target.created_by, target.name, target.resource_subtype, task, task.created_by, task.name, task.resource_subtype, text, type |
Get a story — response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | Model | Required within parent | Expand Get a story — response body — data data — sdk__Story Response |
Referenced models: Get a story — response body — data data — sdk__Story Response
Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | An object to represent a user's like. |
gid | string | Optional | Globally unique identifier of the object, as a string. Read only: true |
user | Model | Optional | Expand Get users in a team — response body — data data item |
Referenced models: Get users in a team — response body — data data item
Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | *Conditional* Read only: true |
start_on | JSON | Optional | |
start_on (anyOf 1) | string | Alternative | The day on which work for this goal begins, or null if the goal has no start date. This takes a date with `YYYY-MM-DD` format, and cannot be set unless there is an accompanying due date. Format: date |
start_on (anyOf 2) | null | Alternative | |
due_at | JSON | Optional | |
due_at (anyOf 1) | string | Alternative | The UTC date and time on which this task is due, or null if the task has no due time. This takes an ISO 8601 date string in UTC and should not be used together with `due_on`. Format: date-time |
due_at (anyOf 2) | null | Alternative | |
due_on | string | Optional | The localized day on which this goal is due. This takes a date with format `YYYY-MM-DD`. Format: date |
Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system previews item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A collection of rich text that will be displayed as a preview to another app. This is read-only except for a small group of whitelisted apps. Read only: true |
fallback | string | Optional | Some fallback text to display if unable to display the full preview. |
footer | string | Optional | Text to display in the footer. |
header | string | Optional | Text to display in the header. |
header_link | string | Optional | Where the header will link to. |
html_text | string | Optional | HTML formatted text for the body of the preview. See [rich text](/docs/rich-text#reading-rich-text). |
text | string | Optional | Text for the body of the preview. |
title | string | Optional | Text to display as the title. |
title_link | string | Optional | Where to title will link to. |
Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system reaction summary item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A summary of an emoji reaction on an object. |
emoji_base | string | Optional | The emoji base character used in the reaction. |
variant | string | Optional | The full emoji string used in the reaction. |
count | JSON | Optional | |
count (anyOf 1) | number | Alternative | The number of reactions with the emoji variant on the object. |
count (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
reacted | boolean | Optional | Whether the current user has reacted with the emoji variant on the object. |
Get a story — response body — data data created at, gid, html text, is pinned, resource subtype, resource type, sticker name, text
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A story represents an activity associated with an object in the Asana system. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
created_at | string | Optional | The time at which this resource was created. Format: date-time Read only: true |
resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. Read only: true |
text | string | Optional | The plain text of the comment to add. Cannot be used with html_text. |
html_text | string | Optional | [Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator. See [rich text](/docs/rich-text). |
is_pinned | boolean | Optional | *Conditional*. Whether the story should be pinned on the resource. |
sticker_name | string | Optional | The name of the sticker in this story. `null` if there is no sticker. Known values: green_checkmark, people_dancing, dancing_unicorn, heart, party_popper, people_waving_flags, splashing_narwhal, trophy, yeti_riding_unicorn, celebrating_people, determined_climbers, phoenix_spreading_love |
Get a story — response body — data data new dates
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | *Conditional* Read only: true |
start_on | JSON | Optional | |
start_on (anyOf 1) | string | Alternative | The day on which work for this goal begins, or null if the goal has no start date. This takes a date with `YYYY-MM-DD` format, and cannot be set unless there is an accompanying due date. Format: date |
start_on (anyOf 2) | null | Alternative | |
due_at | JSON | Optional | |
due_at (anyOf 1) | string | Alternative | The UTC date and time on which this task is due, or null if the task has no due time. This takes an ISO 8601 date string in UTC and should not be used together with `due_on`. Format: date-time |
due_at (anyOf 2) | null | Alternative | |
due_on | string | Optional | The localized day on which this goal is due. This takes a date with format `YYYY-MM-DD`. Format: date |
Get a story — response body — data data new enum value
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. Enum options are the possible values which an enum custom field can adopt. An enum custom field must contain at least 1 enum option but no more than 500. You can add enum options to a custom field by using the `POST /custom_fields/custom_field_gid/enum_options` endpoint. **It is not possible to remove or delete an enum option**. Instead, enum options can be disabled by updating the `enabled` field to false with the `PUT /enum_options/enum_option_gid` endpoint. Other attributes can be updated similarly. On creation of an enum option, `enabled` is always set to `true`, meaning the enum option is a selectable value for the custom field. Setting `enabled=false` is equivalent to “trashing” the enum option in the Asana web app within the “Edit Fields” dialog. The enum option will no longer be selectable but, if the enum option value was previously set within a task, the task will retain the value. Enum options are an ordered list and by default new enum options are inserted at the end. Ordering in relation to existing enum options can be specified on creation by using `insert_before` or `insert_after` to reference an existing enum option. Only one of `insert_before` and `insert_after` can be provided when creating a new enum option. An enum options list can be reordered with the `POST /custom_fields/custom_field_gid/enum_options/insert` endpoint. Read only: true |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the enum option. |
enabled | boolean | Optional | Whether or not the enum option is a selectable value for the custom field. |
color | string | Optional | The color of the enum option. Defaults to `none`. |
Get a story — response body — data data new section
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. A *section* is a subdivision of a project that groups tasks together. It can either be a header above a list of tasks in a list view or a column in a board view of a project. Read only: true |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the section (i.e. the text displayed as the section header). |
Get a story — response body — data data previews item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A collection of rich text that will be displayed as a preview to another app. This is read-only except for a small group of whitelisted apps. Read only: true |
fallback | string | Optional | Some fallback text to display if unable to display the full preview. |
footer | string | Optional | Text to display in the footer. |
header | string | Optional | Text to display in the header. |
header_link | string | Optional | Where the header will link to. |
html_text | string | Optional | HTML formatted text for the body of the preview. See [rich text](/docs/rich-text#reading-rich-text). |
text | string | Optional | Text for the body of the preview. |
title | string | Optional | Text to display as the title. |
title_link | string | Optional | Where to title will link to. |
Get a story — response body — data data reaction summary item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A summary of an emoji reaction on an object. |
emoji_base | string | Optional | The emoji base character used in the reaction. |
variant | string | Optional | The full emoji string used in the reaction. |
count | JSON | Optional | |
count (anyOf 1) | number | Alternative | The number of reactions with the emoji variant on the object. |
count (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
reacted | boolean | Optional | Whether the current user has reacted with the emoji variant on the object. |
Get a story — response body — data data story
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. A story represents an activity associated with an object in the Asana system. Read only: true |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
comment_gid | JSON | Optional | |
comment_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories. Read only: true |
comment_gid (anyOf 2) | null | Alternative | |
anchor_gid | JSON | Optional | |
anchor_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads. Read only: true |
anchor_gid (anyOf 2) | null | Alternative | |
created_at | string | Optional | The time at which this resource was created. Format: date-time Read only: true |
created_by | Model | Optional | Expand Get an OOO entry — response body — data data user |
resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. Read only: true |
text | string | Optional | *Create-only*. Human-readable text for the story or comment. This will not include the name of the creator. *Note: This is not guaranteed to be stable for a given type of story. For example, text for a reassignment may not always say “assigned to …” as the text for a story can both be edited and change based on the language settings of the user making the request.* Use the `resource_subtype` property to discover the action that created the story. |
Referenced models: Get an OOO entry — response body — data data user
Get a story — response body — data data tag
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. A *tag* is a label that can be attached to any task in Asana. It exists in a single workspace or organization. Read only: true |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | Name of the tag. This is generally a short sentence fragment that fits on a line in the UI for maximum readability. However, it can be longer. |
Get a story — response body — data data task
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. The *task* is the basic object around which many operations in Asana are centered. Read only: true |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
name | string | Optional | The name of the task. |
resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. The resource_subtype `milestone` represent a single moment in time. This means tasks with this subtype cannot have a start_date. Known values: default_task, milestone, approval, custom |
created_by | object | Optional | [Opt In](/docs/inputoutput-options). A *user* object represents an account in Asana that can be given access to various workspaces, projects, and tasks. Read only: true |
created_by.gid | string | Optional | Globally unique identifier of the resource. |
created_by.resource_type | string | Optional | The type of resource. |
Get a story — response body — data data — Story Response
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (allOf 1) | Model | All variants apply | Expand Get a story — response body — data data created at, gid, html text, is pinned, resource subtype, resource type, sticker name, text |
$ (allOf 2) | object | All variants apply | |
$ (allOf 2).comment_gid | JSON | Optional | |
$ (allOf 2).comment_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories. Read only: true |
$ (allOf 2).comment_gid (anyOf 2) | null | Alternative | |
$ (allOf 2).anchor_gid | JSON | Optional | |
$ (allOf 2).anchor_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads. Read only: true |
$ (allOf 2).anchor_gid (anyOf 2) | null | Alternative | |
$ (allOf 2).created_by | Model | Optional | Expand Get users in a team — response body — data data item |
$ (allOf 2).type | string | Optional | Known values: comment, system Read only: true |
$ (allOf 2).is_editable | boolean | Optional | *Conditional*. Whether the text of the story can be edited after creation. Read only: true |
$ (allOf 2).is_edited | boolean | Optional | *Conditional*. Whether the text of the story has been edited after creation. Read only: true |
$ (allOf 2).hearted | boolean | Optional | *Deprecated - please use likes instead* *Conditional*. True if the story is hearted by the authorized user, false if not. Read only: true |
$ (allOf 2).hearts | array | Optional | *Deprecated - please use likes instead* *Conditional*. Array of likes for users who have hearted this story. Read only: true |
$ (allOf 2).hearts[] | Model | Each item | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item |
$ (allOf 2).num_hearts | JSON | Optional | |
$ (allOf 2).num_hearts (anyOf 1) | integer | Alternative | *Deprecated - please use likes instead* *Conditional*. The number of users who have hearted this story. Read only: true |
$ (allOf 2).num_hearts (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
$ (allOf 2).liked | boolean | Optional | *Conditional*. True if the story is liked by the authorized user, false if not. Read only: true |
$ (allOf 2).likes | array | Optional | *Conditional*. Array of likes for users who have liked this story. Read only: true |
$ (allOf 2).likes[] | Model | Each item | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item |
$ (allOf 2).num_likes | JSON | Optional | |
$ (allOf 2).num_likes (anyOf 1) | integer | Alternative | *Conditional*. The number of users who have liked this story. Read only: true |
$ (allOf 2).num_likes (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
$ (allOf 2).reaction_summary | array | Optional | Summary of emoji reactions on this story. Read only: true |
$ (allOf 2).reaction_summary[] | Model | Each item | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system reaction summary item |
$ (allOf 2).previews | array | Optional | <p><strong style={{ color: "#4573D2" }}>Full object requires scope: </strong><code>attachments:read</code></p> *Conditional*. A collection of previews to be displayed in the story. *Note: This property only exists for comment stories.* Read only: true |
$ (allOf 2).previews[] | Model | Each item | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system previews item |
$ (allOf 2).old_name | string | Optional | *Conditional* The previous name of the task before a name change. |
$ (allOf 2).new_name | JSON | Optional | |
$ (allOf 2).new_name (anyOf 1) | string | Alternative | *Conditional* The updated name of the task after a name change. Read only: true |
$ (allOf 2).new_name (anyOf 2) | null | Alternative | |
$ (allOf 2).old_dates | Model | Optional | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates |
$ (allOf 2).new_dates | Model | Optional | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates |
$ (allOf 2).old_resource_subtype | string | Optional | *Conditional* Read only: true |
$ (allOf 2).new_resource_subtype | string | Optional | *Conditional* Read only: true |
$ (allOf 2).story | Model | Optional | Expand Get stories from a goal — response body — data, next page data item *Conditional* Read only: true |
$ (allOf 2).assignee | Model | Optional | Expand Get users in a team — response body — data data item *Conditional* Read only: true |
$ (allOf 2).follower | Model | Optional | Expand Get users in a team — response body — data data item *Conditional* Read only: true |
$ (allOf 2).old_section | Model | Optional | Expand Get sections in a project — response body — data, next page data item *Conditional* Read only: true |
$ (allOf 2).new_section | Model | Optional | Expand Get sections in a project — response body — data, next page data item *Conditional* Read only: true |
$ (allOf 2).task | Model | Optional | Expand Search tasks in a workspace — response body — data data item *Conditional* Read only: true |
$ (allOf 2).project | Model | Optional | Expand Search projects in a workspace — response body — data data item *Conditional* Read only: true |
$ (allOf 2).tag | Model | Optional | Expand Get a task's tags — response body — data, next page data item *Conditional* Read only: true |
$ (allOf 2).custom_field | Model | Optional | Expand Get a membership — response body — data / data / access_level: admin, editor, user parent *Conditional* Read only: true |
$ (allOf 2).old_text_value | string | Optional | *Conditional* The previous value of a text-type field before it was updated. Read only: true |
$ (allOf 2).new_text_value | string | Optional | *Conditional* The new value of a text-type field after it was updated. Read only: true |
$ (allOf 2).old_number_value | JSON | Optional | |
$ (allOf 2).old_number_value (anyOf 1) | JSON | Alternative | |
$ (allOf 2).old_number_value (anyOf 1) (anyOf 1) | integer | Alternative | *Conditional* The previous value of a number-type custom field before the update. Read only: true |
$ (allOf 2).old_number_value (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
$ (allOf 2).old_number_value (anyOf 2) | null | Alternative | |
$ (allOf 2).new_number_value | JSON | Optional | |
$ (allOf 2).new_number_value (anyOf 1) | integer | Alternative | *Conditional* The new value of a number-type custom field after the update. Read only: true |
$ (allOf 2).new_number_value (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
$ (allOf 2).old_enum_value | Model | Optional | Expand Create an enum option — response body — data data — Enum Option *Conditional* Read only: true |
$ (allOf 2).new_enum_value | Model | Optional | Expand Create an enum option — response body — data data — Enum Option *Conditional* Read only: true |
$ (allOf 2).old_date_value | JSON | Optional | Read only: true |
$ (allOf 2).old_date_value (allOf 1) | Model | All variants apply | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates |
$ (allOf 2).old_date_value (allOf 2) | JSON | All variants apply | *Conditional*. The old value of a date custom field story. |
$ (allOf 2).new_date_value | JSON | Optional | Read only: true |
$ (allOf 2).new_date_value (allOf 1) | Model | All variants apply | Expand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates |
$ (allOf 2).new_date_value (allOf 2) | JSON | All variants apply | *Conditional* The new value of a date custom field story. |
$ (allOf 2).old_people_value | array | Optional | *Conditional*. The old value of a people custom field story. Read only: true |
$ (allOf 2).old_people_value[] | Model | Each item | Expand Get users in a team — response body — data data item |
$ (allOf 2).new_people_value | array | Optional | *Conditional*. The new value of a people custom field story. Read only: true |
$ (allOf 2).new_people_value[] | Model | Each item | Expand Get users in a team — response body — data data item |
$ (allOf 2).old_multi_enum_values | array | Optional | *Conditional*. The old value of a multi-enum custom field story. Read only: true |
$ (allOf 2).old_multi_enum_values[] | Model | Each item | Expand Create an enum option — response body — data data — Enum Option |
$ (allOf 2).new_multi_enum_values | array | Optional | *Conditional*. The new value of a multi-enum custom field story. Read only: true |
$ (allOf 2).new_multi_enum_values[] | Model | Each item | Expand Create an enum option — response body — data data — Enum Option |
$ (allOf 2).new_approval_status | string | Optional | *Conditional*. The new value of approval status. Read only: true |
$ (allOf 2).old_approval_status | string | Optional | *Conditional*. The old value of approval status. Read only: true |
$ (allOf 2).duplicate_of | Model | Optional | Expand Search tasks in a workspace — response body — data data item *Conditional* Read only: true |
$ (allOf 2).duplicated_from | Model | Optional | Expand Search tasks in a workspace — response body — data data item *Conditional* Read only: true |
$ (allOf 2).dependency | Model | Optional | Expand Search tasks in a workspace — response body — data data item *Conditional* Read only: true |
$ (allOf 2).source | string | Optional | The component of the Asana product the user used to trigger the story. Known values: web, email, mobile, api, unknown Read only: true |
$ (allOf 2).target | JSON | Optional | |
$ (allOf 2).target (allOf 1) | Model | All variants apply | Expand Search tasks in a workspace — response body — data data item |
$ (allOf 2).target (allOf 2) | object | All variants apply | The object this story is associated with. Currently may only be a task. Read only: true |
Referenced models: Create an enum option — response body — data data — Enum Option, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item, Get a membership — response body — data / data / access_level: admin, editor, user parent, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system previews item, Search projects in a workspace — response body — data data item, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system reaction summary item, Get sections in a project — response body — data, next page data item, Get a story — response body — data data created at, gid, html text, is pinned, resource subtype, resource type, sticker name, text, Get stories from a goal — response body — data, next page data item, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates, Get a task's tags — response body — data, next page data item, Search tasks in a workspace — response body — data data item, Get users in a team — response body — data data item
Get a story — response body — data data — sdk__Story Response
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. A story represents an activity associated with an object in the Asana system. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
created_at | string | Optional | The time at which this resource was created. Format: date-time Read only: true |
resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. Read only: true |
text | string | Optional | The plain text of the comment to add. Cannot be used with html_text. |
html_text | string | Optional | [Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator. See [rich text](/docs/rich-text). |
is_pinned | boolean | Optional | *Conditional*. Whether the story should be pinned on the resource. |
sticker_name | string | Optional | The name of the sticker in this story. `null` if there is no sticker. Known values: green_checkmark, people_dancing, dancing_unicorn, heart, party_popper, people_waving_flags, splashing_narwhal, trophy, yeti_riding_unicorn, celebrating_people, determined_climbers, phoenix_spreading_love |
comment_gid | JSON | Optional | |
comment_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories. Read only: true |
comment_gid (anyOf 2) | null | Alternative | |
anchor_gid | JSON | Optional | |
anchor_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads. Read only: true |
anchor_gid (anyOf 2) | null | Alternative | |
created_by | Model | Optional | Expand Get an OOO entry — response body — data data user |
type | string | Optional | Known values: comment, system Read only: true |
is_editable | boolean | Optional | *Conditional*. Whether the text of the story can be edited after creation. Read only: true |
is_edited | boolean | Optional | *Conditional*. Whether the text of the story has been edited after creation. Read only: true |
hearted | boolean | Optional | *Deprecated - please use likes instead* *Conditional*. True if the story is hearted by the authorized user, false if not. Read only: true |
hearts | array | Optional | *Deprecated - please use likes instead* *Conditional*. Array of likes for users who have hearted this story. Read only: true |
hearts[] | Model | Each item | Expand Get a goal — response body — data data likes item |
num_hearts | JSON | Optional | |
num_hearts (anyOf 1) | integer | Alternative | *Deprecated - please use likes instead* *Conditional*. The number of users who have hearted this story. Read only: true |
num_hearts (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
liked | boolean | Optional | *Conditional*. True if the story is liked by the authorized user, false if not. Read only: true |
likes | array | Optional | *Conditional*. Array of likes for users who have liked this story. Read only: true |
likes[] | Model | Each item | Expand Get a goal — response body — data data likes item |
num_likes | JSON | Optional | |
num_likes (anyOf 1) | integer | Alternative | *Conditional*. The number of users who have liked this story. Read only: true |
num_likes (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
reaction_summary | array | Optional | Summary of emoji reactions on this story. Read only: true |
reaction_summary[] | Model | Each item | Expand Get a story — response body — data data reaction summary item |
previews | array | Optional | *Conditional*. A collection of previews to be displayed in the story. *Note: This property only exists for comment stories.* Read only: true |
previews[] | Model | Each item | Expand Get a story — response body — data data previews item |
old_name | string | Optional | *Conditional* The previous name of the task before a name change. |
new_name | JSON | Optional | |
new_name (anyOf 1) | string | Alternative | *Conditional* The updated name of the task after a name change. Read only: true |
new_name (anyOf 2) | null | Alternative | |
old_dates | Model | Optional | Expand Get a story — response body — data data new dates |
new_dates | Model | Optional | Expand Get a story — response body — data data new dates |
old_resource_subtype | string | Optional | *Conditional* Read only: true |
new_resource_subtype | string | Optional | *Conditional* Read only: true |
story | Model | Optional | Expand Get a story — response body — data data story |
assignee | Model | Optional | Expand Get a timesheet approval status — response body — data data user |
follower | Model | Optional | Expand Get a timesheet approval status — response body — data data user |
old_section | Model | Optional | Expand Get a story — response body — data data new section |
new_section | Model | Optional | Expand Get a story — response body — data data new section |
task | Model | Optional | Expand Get a story — response body — data data task |
project | object | Optional | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. A *project* represents a prioritized list of tasks in Asana or a board with columns of tasks represented as cards. It exists in a single workspace or organization and is accessible to a subset of users in that workspace or organization, depending on its permissions. Read only: true |
project.gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
project.resource_type | string | Optional | The base type of this resource. Read only: true |
project.name | string | Optional | Name of the project. This is generally a short sentence fragment that fits on a line in the UI for maximum readability. However, it can be longer. |
project.resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. Known values: default_project, custom |
tag | Model | Optional | Expand Get a story — response body — data data tag |
custom_field | object | Optional | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. Custom Fields store the metadata that is used in order to add user-specified information to tasks in Asana. Be sure to reference the [custom fields](/reference/custom-fields) developer documentation for more information about how custom fields relate to various resources in Asana. Users in Asana can [lock custom fields](https://asana.com/guide/help/premium/custom-fields#gl-lock-fields), which will make them read-only when accessed by other users. Attempting to edit a locked custom field will return HTTP error code `403 Forbidden`. Read only: true |
custom_field.gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
custom_field.resource_type | string | Optional | The base type of this resource. Read only: true |
custom_field.name | string | Optional | The name of the custom field. |
custom_field.type | string | Optional | *Deprecated: new integrations should prefer the resource_subtype field.* The type of the custom field. Must be one of the given values. Known values: text, enum, multi_enum, number, date, people, reference Read only: true |
custom_field.enum_options | array | Optional | *Conditional*. Only relevant for custom fields of type `enum` or `multi_enum`. This array specifies the possible values which an `enum` custom field can adopt. To modify the enum options, refer to [working with enum options](/reference/createenumoptionforcustomfield). |
custom_field.enum_options[] | Model | Each item | Expand Get a custom field — response body — data data enum options item |
custom_field.enabled | boolean | Optional | *Conditional*. This field applies only to [custom field values](/docs/custom-fields-guide#/accessing-custom-field-values-on-tasks-or-projects) and is not available for [custom field definitions](/docs/custom-fields-guide#/accessing-custom-field-definitions). Determines if the custom field is enabled or not. For more details, see the [Custom Fields documentation](/docs/custom-fields-guide#/enabled-and-disabled-values). Read only: true |
custom_field.representation_type | string | Optional | This field tells the type of the custom field. Known values: text, enum, multi_enum, number, date, people, formula, custom_id, reference Read only: true |
custom_field.id_prefix | JSON | Optional | |
custom_field.id_prefix (anyOf 1) | string | Alternative | This field is the unique custom ID string for the custom field. |
custom_field.id_prefix (anyOf 2) | null | Alternative | |
custom_field.input_restrictions | array | Optional | |
custom_field.input_restrictions[] | string | Each item | *Conditional*. Only relevant for custom fields of type `reference`. This array of strings reflects the allowed types of objects that can be written to a `reference` custom field value. Known values: task, project, portfolio, goal |
custom_field.is_formula_field | boolean | Optional | *Conditional*. This flag describes whether a custom field is a formula custom field. |
custom_field.is_lookup_field | boolean | Optional | *Conditional*. This flag describes whether a custom field is a lookup custom field. |
custom_field.date_value | JSON | Optional | |
custom_field.date_value (anyOf 1) | Model | Alternative | Expand Get a custom field — response body — data data date value date, date time |
custom_field.date_value (anyOf 2) | null | Alternative | |
custom_field.enum_value | JSON | Optional | |
custom_field.enum_value (anyOf 1) | Model | Alternative | Expand Get a custom field — response body — data data enum value color, enabled, gid, name, resource type |
custom_field.enum_value (anyOf 2) | null | Alternative | |
custom_field.multi_enum_values | array | Optional | *Conditional*. Only relevant for custom fields of type `multi_enum`. This object is the chosen values of a `multi_enum` custom field. |
custom_field.multi_enum_values[] | Model | Each item | Expand Get a custom field — response body — data data enum options item |
custom_field.number_value | JSON | Optional | |
custom_field.number_value (anyOf 1) | JSON | Alternative | |
custom_field.number_value (anyOf 1) (anyOf 1) | number | Alternative | *Conditional*. This number is the value of a `number` custom field. |
custom_field.number_value (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
custom_field.number_value (anyOf 2) | null | Alternative | |
custom_field.text_value | JSON | Optional | |
custom_field.text_value (anyOf 1) | string | Alternative | *Conditional*. This string is the value of a `text` custom field. |
custom_field.text_value (anyOf 2) | null | Alternative | |
custom_field.display_value | JSON | Optional | |
custom_field.display_value (anyOf 1) | string | Alternative | A string representation for the value of the custom field. Integrations that don't require the underlying type should use this field to read values. Using this field will future-proof an app against new custom field types. Read only: true |
custom_field.display_value (anyOf 2) | null | Alternative | |
old_text_value | string | Optional | *Conditional* The previous value of a text-type field before it was updated. Read only: true |
new_text_value | string | Optional | *Conditional* The new value of a text-type field after it was updated. Read only: true |
old_number_value | JSON | Optional | |
old_number_value (anyOf 1) | JSON | Alternative | |
old_number_value (anyOf 1) (anyOf 1) | integer | Alternative | *Conditional* The previous value of a number-type custom field before the update. Read only: true |
old_number_value (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
old_number_value (anyOf 2) | null | Alternative | |
new_number_value | JSON | Optional | |
new_number_value (anyOf 1) | integer | Alternative | *Conditional* The new value of a number-type custom field after the update. Read only: true |
new_number_value (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
old_enum_value | Model | Optional | Expand Get a story — response body — data data new enum value |
new_enum_value | Model | Optional | Expand Get a story — response body — data data new enum value |
old_date_value | JSON | Optional | Read only: true |
old_date_value (allOf 1) | Model | All variants apply | Expand Get a story — response body — data data new dates |
old_date_value (allOf 2) | JSON | All variants apply | *Conditional*. The old value of a date custom field story. |
new_date_value | JSON | Optional | Read only: true |
new_date_value (allOf 1) | Model | All variants apply | Expand Get a story — response body — data data new dates |
new_date_value (allOf 2) | JSON | All variants apply | *Conditional* The new value of a date custom field story. |
old_people_value | array | Optional | *Conditional*. The old value of a people custom field story. Read only: true |
old_people_value[] | Model | Each item | Expand Get an OOO entry — response body — data data user |
new_people_value | array | Optional | *Conditional*. The new value of a people custom field story. Read only: true |
new_people_value[] | Model | Each item | Expand Get an OOO entry — response body — data data user |
old_multi_enum_values | array | Optional | *Conditional*. The old value of a multi-enum custom field story. Read only: true |
old_multi_enum_values[] | Model | Each item | Expand Get a custom field — response body — data data enum options item |
new_multi_enum_values | array | Optional | *Conditional*. The new value of a multi-enum custom field story. Read only: true |
new_multi_enum_values[] | Model | Each item | Expand Get a custom field — response body — data data enum options item |
new_approval_status | string | Optional | *Conditional*. The new value of approval status. Read only: true |
old_approval_status | string | Optional | *Conditional*. The old value of approval status. Read only: true |
duplicate_of | Model | Optional | Expand Get a story — response body — data data task |
duplicated_from | Model | Optional | Expand Get a story — response body — data data task |
dependency | Model | Optional | Expand Get a story — response body — data data task |
source | string | Optional | The component of the Asana product the user used to trigger the story. Known values: web, email, mobile, api, unknown Read only: true |
target | object | Optional | A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. The *task* is the basic object around which many operations in Asana are centered.A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier. The *task* is the basic object around which many operations in Asana are centered. The object this story is associated with. Currently may only be a task. Read only: true |
target.gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
target.resource_type | string | Optional | The base type of this resource. Read only: true |
target.name | string | Optional | The name of the task. |
target.resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. The resource_subtype `milestone` represent a single moment in time. This means tasks with this subtype cannot have a start_date. Known values: default_task, milestone, approval, custom |
target.created_by | object | Optional | [Opt In](/docs/inputoutput-options). A *user* object represents an account in Asana that can be given access to various workspaces, projects, and tasks. Read only: true |
target.created_by.gid | string | Optional | Globally unique identifier of the resource. |
target.created_by.resource_type | string | Optional | The type of resource. |
Referenced models: Get an OOO entry — response body — data data user, Get a custom field — response body — data data date value date, date time, Get a custom field — response body — data data enum options item, Get a custom field — response body — data data enum value color, enabled, gid, name, resource type, Get a goal — response body — data data likes item, Get a story — response body — data data new enum value, Get a story — response body — data data new section, Get a story — response body — data data previews item, Get a story — response body — data data reaction summary item, Get a story — response body — data data new dates, Get a timesheet approval status — response body — data data user, Get a story — response body — data data story, Get a story — response body — data data tag, Get a story — response body — data data task
Get stories from a goal — request body — query
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Additional keys: not allowed |
opt_pretty | boolean | Optional | |
limit | integer | Optional | Minimum: 1 Maximum: 100 |
offset | string | Optional | |
created_after | string | Optional | Format: date-time |
resource_subtype | string | Optional | One of: comment_added |
sort_ascending | boolean | Optional | Default: true |
opt_fields | array | Optional | |
opt_fields[] | string | Each item | One of: anchor_gid, assignee, assignee.name, comment_gid, created_at, created_by, created_by.name, custom_field, custom_field.date_value, custom_field.date_value.date, custom_field.date_value.date_time, custom_field.display_value, custom_field.enabled, custom_field.enum_options, custom_field.enum_options.color, custom_field.enum_options.enabled, custom_field.enum_options.name, custom_field.enum_value, custom_field.enum_value.color, custom_field.enum_value.enabled, custom_field.enum_value.name, custom_field.id_prefix, custom_field.input_restrictions, custom_field.is_formula_field, custom_field.is_lookup_field, custom_field.multi_enum_values, custom_field.multi_enum_values.color, custom_field.multi_enum_values.enabled, custom_field.multi_enum_values.name, custom_field.name, custom_field.number_value, custom_field.representation_type, custom_field.text_value, custom_field.type, dependency, dependency.created_by, dependency.name, dependency.resource_subtype, duplicate_of, duplicate_of.created_by, duplicate_of.name, duplicate_of.resource_subtype, duplicated_from, duplicated_from.created_by, duplicated_from.name, duplicated_from.resource_subtype, follower, follower.name, hearted, hearts, hearts.user, hearts.user.name, html_text, is_editable, is_edited, is_pinned, liked, likes, likes.user, likes.user.name, new_approval_status, new_date_value, new_dates, new_dates.due_at, new_dates.due_on, new_dates.start_on, new_enum_value, new_enum_value.color, new_enum_value.enabled, new_enum_value.name, new_multi_enum_values, new_multi_enum_values.color, new_multi_enum_values.enabled, new_multi_enum_values.name, new_name, new_number_value, new_people_value, new_people_value.name, new_resource_subtype, new_section, new_section.name, new_text_value, num_hearts, num_likes, offset, old_approval_status, old_date_value, old_dates, old_dates.due_at, old_dates.due_on, old_dates.start_on, old_enum_value, old_enum_value.color, old_enum_value.enabled, old_enum_value.name, old_multi_enum_values, old_multi_enum_values.color, old_multi_enum_values.enabled, old_multi_enum_values.name, old_name, old_number_value, old_people_value, old_people_value.name, old_resource_subtype, old_section, old_section.name, old_text_value, path, previews, previews.fallback, previews.footer, previews.header, previews.header_link, previews.html_text, previews.text, previews.title, previews.title_link, project, project.name, project.resource_subtype, reaction_summary, reaction_summary.count, reaction_summary.emoji_base, reaction_summary.reacted, reaction_summary.variant, resource_subtype, source, sticker_name, story, story.anchor_gid, story.comment_gid, story.created_at, story.created_by, story.created_by.name, story.resource_subtype, story.text, tag, tag.name, target, target.created_by, target.name, target.resource_subtype, task, task.created_by, task.name, task.resource_subtype, text, type, uri |
Get stories from a goal — response body — data, next page
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | array | Required within parent | |
data[] | Model | Each item | Expand Get a story — response body — data data — sdk__Story Response |
next_page | Model | Optional | Expand Get goals — response body — data, next page next page |
Referenced models: Get goals — response body — data, next page next page, Get a story — response body — data data — sdk__Story Response
Get stories from a goal — response body — data, next page data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A story represents an activity associated with an object in the Asana system. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
comment_gid | JSON | Optional | |
comment_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories. Read only: true |
comment_gid (anyOf 2) | null | Alternative | |
anchor_gid | JSON | Optional | |
anchor_gid (anyOf 1) | string | Alternative | *Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads. Read only: true |
anchor_gid (anyOf 2) | null | Alternative | |
created_at | string | Optional | The time at which this resource was created. Format: date-time Read only: true |
created_by | Model | Optional | Expand Get users in a team — response body — data data item |
resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. Read only: true |
text | string | Optional | *Create-only*. Human-readable text for the story or comment. This will not include the name of the creator. *Note: This is not guaranteed to be stable for a given type of story. For example, text for a reassignment may not always say “assigned to …” as the text for a story can both be edited and change based on the language settings of the user making the request.* Use the `resource_subtype` property to discover the action that created the story. |
Referenced models: Get users in a team — response body — data data item
Update a story — request body — body data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | A story represents an activity associated with an object in the Asana system. |
gid | string | Optional | Globally unique identifier of the resource, as a string. Read only: true |
resource_type | string | Optional | The base type of this resource. Read only: true |
created_at | string | Optional | The time at which this resource was created. Format: date-time Read only: true |
resource_subtype | string | Optional | The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning. Read only: true |
text | string | Optional | The plain text of the comment to add. Cannot be used with html_text. |
html_text | string | Optional | [Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator. See [rich text](/docs/rich-text). |
is_pinned | boolean | Optional | *Conditional*. Whether the story should be pinned on the resource. |
sticker_name | string | Optional | The name of the sticker in this story. `null` if there is no sticker. One of: green_checkmark, people_dancing, dancing_unicorn, heart, party_popper, people_waving_flags, splashing_narwhal, trophy, yeti_riding_unicorn, celebrating_people, determined_climbers, phoenix_spreading_love |